<?php
/**********************************************************************

	Released under the terms of the GNU General Public License, GPL,
***********************************************************************/

        
class projects_app extends application
{
    function __construct()
    {
        parent::__construct("projects", _($this->help_context = "&Projects"));

        $this->add_module(_("Transactions"));
            $this->add_lapp_function(0, _("Project (Customer) Purchase Orders"),"projects/project_sales_orders.php?NewOrder=Yes", 'SA_PROJECT_SALES_ORDER', MENU_TRANSACTION);
            $this->add_lapp_function(0, _("Work Done Entry"),"projects/work_done_entry.php?", 'SA_PROJECT_WORK_DONE', MENU_TRANSACTION);
            $this->add_lapp_function(0, _("Payment Applications"),"projects/project_payment_application.php?", 'SA_PROJECT_PAY_APP', MENU_TRANSACTION);
            $this->add_lapp_function(0, _(""),"");
            $this->add_lapp_function(0, _("Subcontractor Purchase Orders"),"projects/subcontractor_purchase_orders.php?NewOrder=Yes", 'SA_SUBCONTRACTOR_PURCHASE_ORDER', MENU_TRANSACTION);
            $this->add_lapp_function(0, _("Subcontractor Invoices"),"projects/subcontractor_invoices.php?NewOrder=Yes", 'SA_SUBCONTRACTOR_INVOICE', MENU_TRANSACTION);
            $this->add_lapp_function(0, _("Subcontractor Credit Notes"),"projects/subcontractor_credit_note.php?NewOrder=Yes", 'SA_SUBCONTRACTOR_CREDIT_NOTE', MENU_TRANSACTION);
            $this->add_lapp_function(0, _(""),"");
            $this->add_lapp_function(0, _("Project Invoices"),"projects/manual_project_invoice.php?", 'SA_PROJECT_INVOICE', MENU_TRANSACTION);
            $this->add_lapp_function(0, _("Project Credit Notes"),"projects/project_credit_notes.php?", 'SA_PROJECT_CREDIT_NOTE', MENU_TRANSACTION);
            $this->add_lapp_function(0, _(""),"");
            $this->add_lapp_function(0, _("Miscellaneous Project Costs"),"projects/miscellaneous_project_costs.php?", 'SA_MISCELLANEOUS_PROJECT_COSTS', MENU_TRANSACTION);
            $this->add_lapp_function(0, _("Project WIP Costs"),"projects/project_wip.php?", 'SA_PROJECT_WIP_COSTS', MENU_TRANSACTION);
            $this->add_lapp_function(0, _("Employee Project Work"),"projects/employee_project_work.php?", 'SA_EMPLOYEE_PROJECT_WORK', MENU_TRANSACTION);
            
            $this->add_rapp_function(0, _(""),"");
        
            $this->add_rapp_function(0, _("Approve Subcontractor Purchase Orders"),"projects/inquiry/approve_subcontractor_purchase_order_inquiry.php?", 'SA_SUBCONTRACTOR_PURCHASE_ORDER_INQ', MENU_TRANSACTION);
            $this->add_rapp_function(0, _("Approve Subcontractor Invoices"),"projects/inquiry/approve_subcontractor_invoice_inquiry.php?", 'SA_SUBCONTRACTOR_INVOICE_INQ', MENU_TRANSACTION);
            $this->add_rapp_function(0, _("Approve Subcontractor Credit Notes"),"projects/inquiry/approve_subcontractor_credit_note_inquiry.php?", 'SA_SUBCONTRACTOR_CREDIT_NOTE_INQ', MENU_TRANSACTION);
            
            $this->add_rapp_function(0, "", "");
            
            $this->add_rapp_function(0, _("Approve Project Invoices"),"projects/inquiry/approve_project_billing_inquiry.php?", 'SA_PROJECT_BILLING_INQ', MENU_TRANSACTION);
            $this->add_rapp_function(0, _("Approve Project Credit Notes"),"projects/inquiry/approve_project_credit_note_inquiry.php?", 'SA_PROJECT_CREDIT_NOTE_INQ', MENU_TRANSACTION);
        
            $this->add_rapp_function(0, "", "");
            
            $this->add_rapp_function(0, _("Approve Miscellaneous Project Costs"),"projects/inquiry/approve_miscellaneous_project_cost_inquiry.php?", 'SA_MISCELLANEOUS_PROJECT_COSTS_INQ', MENU_TRANSACTION);
            
            $this->add_rapp_function(0, "", "");
            
            $this->add_rapp_function(0, _("Approve Projects"),"projects/inquiry/unapproved_projects_inquiry.php?", 'SA_UNAPPROVED_PROJECTS_INQ', MENU_INQUIRY);
            $this->add_rapp_function(0, _("Approve Budget Revisions"),"projects/unapproved_project_budgets.php?", 'SA_APPROVE_BUDGET_REVISIONS', MENU_TRANSACTION);
        
            
            $this->add_rapp_function(0, "", "");

            $this->add_rapp_function(0, _("Project Cost Adjustments"),"projects/project_cost_adjustments.php?", 'SA_PROJECT_COST_ADJUST', MENU_TRANSACTION);
            $this->add_rapp_function(0, _("Project Cost Allocation Adjustments"),"projects/project_allocation_adjustments.php?", 'SA_PROJECT_ALLOC_ADJUST', MENU_TRANSACTION);
//        $this->add_rapp_function(0, _("Workdone Calculation"),"projects/work_done_calculation_run.php?", 'SA_PROJECT_WORK_DONE', MENU_TRANSACTION);

        $this->add_module(_("Inquiries and Reports"));
            $this->add_lapp_function(1, _("Project (Customer) Purchase Orders Inquiry"),"projects/inquiry/project_sales_orders_inquiry.php?", 'SA_PROJECT_SALES_ORDER_INQ', MENU_INQUIRY);
            $this->add_lapp_function(1, _("Payment Applications Inquiry"), "projects/inquiry/project_payment_application_inquiry.php?", 'SA_PROJECT_PAY_APP_INQ', MENU_INQUIRY);
            $this->add_lapp_function(1, _("Project Invoices Inquiry"),"projects/inquiry/project_billing_inquiry.php?", 'SA_PROJECT_BILLING_INQ', MENU_INQUIRY);
            $this->add_lapp_function(1, _("Project Credit Notes Inquiry"),"projects/inquiry/project_credit_notes_inquiry.php?", 'SA_PROJECT_CREDIT_NOTE_INQ', MENU_INQUIRY);
            $this->add_lapp_function(1, _("Subcontractor Purchase Orders Inquiry"),"projects/inquiry/subcontractor_purchase_orders_inquiry.php?", 'SA_SUBCONTRACTOR_PURCHASE_ORDER_INQ', MENU_INQUIRY);
            $this->add_lapp_function(1, _("Subcontractor Invoices Inquiry"),"projects/inquiry/subcontractor_invoice_inquiry.php?", 'SA_SUBCONTRACTOR_INVOICE_INQ', MENU_INQUIRY);
            $this->add_lapp_function(1, _("Subcontractor Credit Notes Inquiry"),"projects/inquiry/subcontractor_credit_note_inquiry.php?", 'SA_SUBCONTRACTOR_CREDIT_NOTE_INQ', MENU_INQUIRY);
        

//        $this->add_lapp_function(1, _("Project Dispatch Request Inquiry"),"projects/inquiry/project_dispatch_request_inquiry.php?", 'SA_SUBCONTRACTOR_INVOICE_INQ', MENU_INQUIRY);
        
            $this->add_rapp_function(1, _("Project Status View"),"projects/inquiry/project_status_view.php?", 'SA_PROJECT_STATUS_VIEW', MENU_INQUIRY);
            $this->add_rapp_function(1, _("Project Budget Status View"),"projects/inquiry/project_budget_status_view.php?", 'SA_PROJECT_BUDGET_STATUS_VIEW', MENU_INQUIRY);
            
            $this->add_rapp_function(1,"","");

            $this->add_rapp_function(1, _("Miscellaneous Project Costs Inquiry"),"projects/inquiry/miscellaneous_project_cost_inquiry.php?", 'SA_MISCELLANEOUS_PROJECT_COSTS_INQ', MENU_INQUIRY);
            
            $this->add_rapp_function(1,"","");

            $this->add_rapp_function(1, _("Project Cost Allocation Inquiry"),"projects/inquiry/project_cost_allocation_inquiry.php?", 'SA_PROJECT_COST_ALLOCATION_INQ', MENU_INQUIRY);
            $this->add_rapp_function(1, _("Project Cost Inquiry"), "projects/inquiry/project_cost_inquiry.php?", 'SA_PROJECT_COST_INQ', MENU_INQUIRY);
            $this->add_rapp_function(1, _("Project Revisions Inquiry"),"projects/inquiry/project_revisions_inquiry.php?", 'SA_PROJECT_REVISIONS_INQ', MENU_INQUIRY);
            $this->add_rapp_function(1, _("Budget Revisions Inquiry"), "projects/inquiry/task_revisions_inquiry.php?", 'SA_TASK_REVISIONS_INQ', MENU_INQUIRY);
            
            $this->add_rapp_function(1,"","");
            $this->add_rapp_function(1, _("Approval Path Details Inquiry"), "projects/inquiry/approval_paths_inquiry.php?", 'SA_APPROVAL_PATHS', MENU_INQUIRY);
            $this->add_rapp_function(1, _("User Project Access Inquiry"), "projects/inquiry/user_project_access_inquiry.php?", 'SA_APPROVAL_PATHS', MENU_INQUIRY);
            
            
            $this->add_rapp_function(1,"","");

            $this->add_rapp_function(1, _("Project &Reports"),"reporting/reports_main.php?Class=".RC_PROJECTS, 'SA_PROJECT_ANALYTIC', MENU_REPORT);

            $this->add_rapp_function(1,"","");
            
//            $this->add_rapp_function(1, _("Rebuild Project Budget Costs Inquiry"),"projects/inquiry/rebuild_project_budget_costs_inquiry.php?", 'SA_REBUILD_PROJECT_BUDGETS_INQ', MENU_INQUIRY);

            
        
        $this->add_module(_("Maintenance"));
        
            $this->add_lapp_function(2, _('&Projects'),"projects/manage/projects.php?", 'SA_PROJECTS', MENU_ENTRY);
            $this->add_lapp_function(2, _('&Copy Project Approval Paths'),"projects/manage/copy_project_approval_paths.php?", 'SA_PROJECTS', MENU_ENTRY); 
            $this->add_lapp_function(2,"","");

            
            $this->add_lapp_function(2, _('&Project BOQ Item Groups'),"projects/manage/project_boq_item_groups.php?", 'SA_PROJECT_BOQ_ITEM_GROUPS', MENU_ENTRY);
            $this->add_lapp_function(2, _('&Project BOQ Items'),"projects/manage/project_boq_items.php?", 'SA_PROJECT_BOQ_ITEMS', MENU_ENTRY);
            $this->add_lapp_function(2, _('&Project Budgets'),"projects/manage/tasks.php?", 'SA_PROJECT_BUDGETS', MENU_ENTRY);
           

            $this->add_lapp_function(2, _('&Project Billing Schedule'),"projects/manage/project_billing_schedule.php?", 'SA_PROJECT_BILLING_SCHEDULE', MENU_ENTRY);
            $this->add_lapp_function(2, _('&Project Expenses Schedule'),"projects/manage/project_expenses_schedule.php?", 'SA_PROJECT_EXPENSES_SCHEDULE', MENU_ENTRY);
    //        $this->add_lapp_function(2, _('&Task Budgets'),"projects/manage/task_budgets.php?", 'SA_ASSETS', MENU_ENTRY);
            
            $this->add_lapp_function(2, _("&Employee Projects"),"projects/manage/employee_projects.php?", 'SA_EMPLOYEE_PROJECTS', MENU_MAINTENANCE);
            
            $this->add_lapp_function(2,"","");
            $this->add_lapp_function(2, _("&Approval Paths"),"projects/manage/approval_path.php?", 'SA_APPROVAL_PATHS', MENU_MAINTENANCE);
            $this->add_lapp_function(2, _("&Approval Groups"),"projects/manage/approval_group.php?", 'SA_APPROVAL_GROUPS', MENU_MAINTENANCE);

            


            $this->add_rapp_function(2, _('&Import Project Invoices'),"projects/manage/import_manual_project_invoice.php?", 'SA_IMPORT_PROJ_INVOICES', MENU_ENTRY);
            $this->add_rapp_function(2, _('&Copy Project BOQ Items to Budgets'),"projects/manage/copy_project_boq_items_to_tasks.php?", 'SA_COPY_BOQ_ITEMS_TO_BUDGETS', MENU_ENTRY);
            $this->add_rapp_function(2, _('&Import Project BOQ Items'),"projects/manage/import_project_boq_items.php?", 'SA_IMPORT_BOQ_ITEMS', MENU_ENTRY);
            $this->add_rapp_function(2, "", "");
            $this->add_rapp_function(2, _("&Project Budget Detail Types"),"projects/manage/project_task_detail_types.php?", 'SA_PROJ_TASK_DETAIL_TYPES', MENU_MAINTENANCE);
            $this->add_rapp_function(2, _("&Project Invoice Line Categories"),"projects/manage/project_invoice_line_categories.php?", 'SA_PROJ_INV_LINE_CATEGORIES', MENU_MAINTENANCE);
            $this->add_rapp_function(2, _("&Subcontractor Invoice Line Categories"),"projects/manage/subcontractor_invoice_line_categories.php?", 'SA_SUBCON_INV_LINE_CATEGORIES', MENU_MAINTENANCE);
            $this->add_rapp_function(2, "", "");
            $this->add_rapp_function(2, _("&Email Templates"),"projects/manage/email_template.php?", 'SA_EMAIL_TEMPLATES', MENU_MAINTENANCE);
            $this->add_rapp_function(2, _("&Project Categories"),"projects/manage/project_serial_categories.php?cat_id=1", 'SA_PROJECT_SERIAL_CAT', MENU_MAINTENANCE);
            $this->add_rapp_function(2, _("&Customer Categories"),"projects/manage/project_serial_categories.php?cat_id=2", 'SA_PROJECT_SERIAL_CAT', MENU_MAINTENANCE);
            $this->add_rapp_function(2, _("&Company Codes"),"projects/manage/project_serial_categories.php?cat_id=3", 'SA_PROJECT_SERIAL_CAT', MENU_MAINTENANCE);
            $this->add_rapp_function(2, _("&Change Document Approval Group"),"projects/manage/change_document_approval_group.php?", 'SA_CHANGE_DOC_APP_GROUP', MENU_MAINTENANCE);
            $this->add_rapp_function(2, _("&Rebuild Project Budget Costs"),"projects/manage/rebuild_project_budget_costs.php?", 'SA_REBUILD_PROJECT_BUDGETS', MENU_MAINTENANCE);
            //$this->add_rapp_function(2, _("&Update Rebuilt Project Budget Costs"),"projects/manage/update_rebuilt_project_task_costs.php?", 'SA_REBUILD_PROJECT_BUDGETS', MENU_MAINTENANCE);
        
        
        
	$this->add_extensions();
    }
}


?>